# Get hosting order

Returns the hosting order specified by the hosting order ID.

Endpoint: GET /v1/projects/{projectId}/hostingOrders/{hostingOrderId}
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

  - `hostingOrderId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "01arz3ndektsv4rrffq69g5fav"

## Response 200 fields (application/json):

  - `projectId` (string)
    The project ID to which the hosting order is associated.
    Example: "YOUR_project_id"

  - `hostingOrderId` (string)
    The unique ID of the hosting order.
    Example: "YOUR_hosting_order_id"

  - `displayName` (string)
    The friendly name of the hosting order.
    Example: "MyHostingOrder"

  - `regionCode` (string)
    The region code of the hosting order. Number hosting is only available for the US and Canada, so you must enter either "US" or "CA".
    Example: "US"

  - `state` (string)
    The state of the hosting order.
    Enum: "HOSTING_ORDER_STATE_UNSPECIFIED", "DRAFT", "SUBMITTED", "WAITING_FOR_LOA_SIGNATURE", "IN_PROGRESS", "COMPLETED", "REJECTED"

  - `type` (string)
    The hosting order type.
    Enum: "HOSTING_ORDER_TYPE_UNSPECIFIED", "IMPORT", "TYPE_TEXT_ENABLE"

  - `createdTime` (string)
    Timestamp when the hosting order was created

  - `updatedTime` (string)
    Timestamp when the hosting order was last updated

  - `scheduledOsrUpdateTime` (string)
    Timestamp when the OSR update will be done

  - `servicePlanId` (string)
    The service plan to which the hosting order is associated.
    Example: "YOUR_service_plan_id"

  - `campaignId` (string)
    The campaign to which the hosting order is associated.
    Example: "YOUR_campaign_id"

  - `migrateToSinchTmo` (boolean)
    Displays if a number is assigned to another aggregator in T-Mobile's platform, and requires migration from previous aggregator to Sinch.

  - `textEnableInfo` (object)

  - `textEnableInfo.businessName` (string)
    The name of the business.
    Example: "Acme, Inc."

  - `textEnableInfo.authorisedPerson` (object)
    The person authorized and responsible for the hosting order.

  - `textEnableInfo.authorisedPerson.firstName` (string, required)
    The first name of the authorized person.
    Example: "John"

  - `textEnableInfo.authorisedPerson.lastName` (string, required)
    The last name of the authorized person.
    Example: "Doe"

  - `textEnableInfo.authorisedPerson.email` (string, required)
    The email address of the authorized person.
    Example: "john.doe@company.com"

  - `textEnableInfo.address` (object)
    The address of the business.

  - `textEnableInfo.address.buildingNumber` (string, required)
    The building number of the address.
    Example: "123"

  - `textEnableInfo.address.street` (string, required)
    The street name of the address.
    Example: "1st"

  - `textEnableInfo.address.city` (string, required)
    The city name of the address.
    Example: "New York"

  - `textEnableInfo.address.state` (string, required)
    The state name of the address.
    Example: "NY"

  - `textEnableInfo.address.postalCode` (string, required)
    The postal code of the address.
    Example: "00001"

  - `textEnableInfo.address.country` (string, required)
    The country of the address.
    Example: "USA"

  - `textEnableInfo.serviceProvider` (string)

  - `textEnableInfo.currentVoiceCarrier` (string)
    The current carrier you are using for voice services for the number you want to host on Sinch.
    Example: "TMO"

  - `textEnableInfo.nnid` (string)
    The Net Number ID for the number you want to host on Sinch.

  - `textEnableInfo.loaType` (string)
    The type of the letter of authorization.
    Enum: "Direct", "Reseller"

  - `callbackUrl` (string)
    The client's callback URL to be called upon finishing the number import.
    Example: "https://www.your-callback-server.com/callback"

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


